com.ihr.xbrl.dts

## Class KeysForFactsProvider.ReferenciableFact

- java.lang.Object
- - com.ihr.xbrl.dts.KeysForFactsProvider.ReferenciableFact

- All Implemented Interfaces:
    KeysForFactsProvider.Referenciable
  Enclosing interface:
    KeysForFactsProvider

      public static class KeysForFactsProvider.ReferenciableFact
      extends java.lang.Object
      implements KeysForFactsProvider.Referenciable

  This class provides information to allow the GUI to find a fact if the user clicks on it.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeysForFactsProvider.ReferenciableFact(XBRLFact fact)` Instantiates a new referenciable fact.
    `KeysForFactsProvider.ReferenciableFact(XBRLFact fact, XBRLRoleType role)` Instantiates a new referenciable fact.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `XBRLFact` | `getFact()` Gets the fact.
    `XBRLRoleType` | `getRole()` Gets the role.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeysForFactsProvider.ReferenciableFact

          public KeysForFactsProvider.ReferenciableFact(XBRLFact fact,
                                                XBRLRoleType role)

      Instantiates a new referenciable fact.
      Parameters:
        `fact` - the fact
        `role` - the role

    - #### KeysForFactsProvider.ReferenciableFact

          public KeysForFactsProvider.ReferenciableFact(XBRLFact fact)

      Instantiates a new referenciable fact.
      Parameters:
        `fact` - the fact

  - ### Method Detail

    - #### getFact

          public XBRLFact getFact()

      Gets the fact.
      Returns:
        the fact

    - #### getRole

          public XBRLRoleType getRole()

      Gets the role.
      Returns:
        the role

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`